summaryrefslogtreecommitdiff
path: root/pcr/whysynth
diff options
context:
space:
mode:
authorGuest One <theguestone@gmail.com>2013-05-19 23:17:27 +0200
committerGuest One <theguestone@gmail.com>2013-05-19 23:17:27 +0200
commit6f996e70504c07e829810b4e0bf6571c137d1bbd (patch)
tree21d72a2f24c4b525409e7964d0747fb0808c5a3c /pcr/whysynth
parent43009f88e555fda7e8f18230094321eff01700de (diff)
added new package whysynth 20120903-1
Diffstat (limited to 'pcr/whysynth')
-rw-r--r--pcr/whysynth/PKGBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/pcr/whysynth/PKGBUILD b/pcr/whysynth/PKGBUILD
new file mode 100644
index 000000000..8d2895984
--- /dev/null
+++ b/pcr/whysynth/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Guest One <theguestone at gmail dot com>
+pkgname=whysynth
+pkgver=20120903
+pkgrel=1
+pkgdesc="A versatile softsynth plugin for the DSSI Soft Synth Interface"
+arch=('i686')
+url="http://www.smbolton.com/whysynth.html"
+depends=('alsa-lib' 'liblo' 'gtk2' 'fftw')
+makedepends=('dssi' 'ladspa')
+license=('GPL')
+source=(http://www.smbolton.com/whysynth/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('b521b63ade13b09062a64c46d2eabee2')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR=${pkgdir} install || return 1
+ find ${pkgdir}/usr/lib -name '*.la' -exec rm {} \; || return 1
+}